API referenceLogs
Search the last 7 days of messages.
GET
/api/v1/servers/{guild}/messagesAuthorization
session invarn_session<token>
In: cookie
Path Parameters
guild*string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$Query Parameters
q?string
channel?string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$deleted?boolean
before?string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/servers/string/messages"{ "messages": [ { "id": "string", "guild": "string", "channel": "string", "author": "string", "authorName": "string", "content": "string", "original": "string", "attachments": [ "string" ], "replyTo": "string", "editedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z" } ]}